const formStep4 = [
    {
        title: 'Formulario Multiple Input',
        showCaptcha: false,
        buttons: [
            {
                name: 'submit',
                label: 'Enviar',
                type: 'button',
                color: 'primary',
                action: 'isSubmit'
            }
        ],
        fields: [
            {
                name: 'debits',
                label: 'Debitos',
                type: 'multipleInput',
                subtype: 'number', // *1
                mode: 'ADD', // *2
                totalMessage: 'Total de la suma de debitos: ', //*3
                helpText: 'Missing 404',
                validateOnChange: value => {
                    const isValid = {status: 'valid', message: 'El nombre es valido'};
                    if (value === null || value === undefined) {
                        isValid.status = 'invalid';
                        isValid.message = 'El nombre debe tener al menos 4 caracteres';
                    }
                    return isValid;
                }
            }
        ]
    }
];
/* *1
-type of the input set by reactstrap following types:
'text', 'email', 'select', 'file', 'radio', 'checkbox', 'textarea', 'button',
 'reset', 'submit', 'date', 'datetime-local', 'hidden', 'image', 'month',
  'number', 'range', 'search', 'tel', 'url', 'week', 'password', 'datetime', 'time'
 'color';
 (for now only number type has been tested)

  */
/* *2
-Mode is one of two types
ADD- will change icon to a +. If subtype set to number. all items will be added and shown at the bottom
MIN- will change icon to -, If subtype set to number. All items will be substracted! (WARNING: OUTPUT MIGHT BE NEGATIVE)
 */
/* *3
* totalMessage - will be shown only when subtype is a number type
* */
export default formStep4;
