const selectMultiple = [{
    id: 'organisms',
    name: 'organisms',
    label: 'Seleccione el/los organismos incluidos en el plan',
    type: 'selectMultiple',
    supportsWriteOthers: false,
    helpText: 'Escriba para buscar y Seleccione el/los organismos incluidos en el plan',
    source: {
        query: {
            search: 'fvalue',
            options: '&fname=name&ftype=like&stype=S',
            endpoint: `${ENDPOINT}/api/organism`
        },
        // WARNING unexpected behavior of this reducer when used as function outside of FormBuilder
        reducer: result => { //reducer function takes care of building the object that the select component consumes.
            if (result.message) { //if the api returns with a 404  fills the option with the 404 message
                return {label: result.message, value: null};
            }
            return ({
                label: result.name,
                value: result.id
            })
        },
        validateOnChange: () => ({status: 'valid', message: 'El numero es Valido'}), //default behavior of this controller is that validation === values.length != 0 but if you add this validateOnChange
        searchAmount: 3
    }
}
]